Untitled

mail@pastecode.io avatar
unknown
plain_text
a year ago
8.5 kB
2
Indexable
Never
Error:
Odoo Server Error

Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 580, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/opt/odoo14/odoo/odoo/models.py", line 4231, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/opt/odoo14/odoo/odoo/models.py", line 4152, in _load_records_create
    return self.create(values)
  File "<decorator-gen-42>", line 2, in create
  File "/opt/odoo14/odoo/odoo/api.py", line 348, in _model_create_multi
    return create(self, arg)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 482, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-64>", line 2, in create
  File "/opt/odoo14/odoo/odoo/api.py", line 348, in _model_create_multi
    return create(self, arg)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_fields.py", line 534, in create
    recs = super().create(vals_list)
  File "<decorator-gen-13>", line 2, in create
  File "/opt/odoo14/odoo/odoo/api.py", line 348, in _model_create_multi
    return create(self, arg)
  File "/opt/odoo14/odoo/odoo/models.py", line 3909, in create
    fields[0].determine_inverse(batch_recs)
  File "/opt/odoo14/odoo/odoo/fields.py", line 1187, in determine_inverse
    getattr(records, self.inverse)()
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 300, in _inverse_arch
    view.write(data)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 500, in write
    res = super(View, self).write(self._compute_defaults(vals))
  File "/opt/odoo14/odoo/odoo/models.py", line 3693, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/opt/odoo14/odoo/odoo/models.py", line 1266, in _validate_fields
    check(self)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 408, in _check_xml
    raise ValidationError(_(
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 391, in _check_xml
    view.postprocess_and_fields(view_doc, validate=True)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 850, in postprocess_and_fields
    arch, name_manager = self._postprocess_view(node, model, validate=validate)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 862, in _postprocess_view
    self.postprocess(node, [], editable, name_manager)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 962, in postprocess
    self.postprocess(child, current_node_path, node_info['editable'], name_manager)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 962, in postprocess
    self.postprocess(child, current_node_path, node_info['editable'], name_manager)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 953, in postprocess
    validator(node, name_manager, node_info)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 1127, in _validate_tag_button
    self.handle_view_error(msg)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_ui_view.py", line 673, in handle_view_error
    raise ValueError(formatted_message).with_traceback(from_traceback) from from_exception
odoo.exceptions.ValidationError: Ocurrió un error al validar la vista:

generate_excel_report no es una acción válida en solse.estados.cuenta

View name: Obtener Estados de Cuenta
Error context:
 view: ir.ui.view(1391,)
 xmlid: wizard_estados_cuenta
 view.model: solse.estados.cuenta
 file: /opt/odoo14/solse_addons/solse_estados_cuenta/wizard/wizard_estados_cuenta.xml


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/opt/odoo14/odoo/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/opt/odoo14/odoo/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/opt/odoo14/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/opt/odoo14/odoo/odoo/http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "/opt/odoo14/odoo/odoo/http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "/opt/odoo14/odoo/odoo/http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1398, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/opt/odoo14/odoo/addons/web/controllers/main.py", line 1386, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/opt/odoo14/odoo/odoo/api.py", line 399, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/opt/odoo14/odoo/odoo/api.py", line 386, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-71>", line 2, in button_immediate_install
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_module.py", line 475, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/opt/odoo14/odoo/odoo/addons/base/models/ir_module.py", line 593, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/opt/odoo14/odoo/odoo/modules/registry.py", line 89, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo14/odoo/odoo/modules/loading.py", line 459, in load_modules
    processed_modules += load_marked_modules(cr, graph,
  File "/opt/odoo14/odoo/odoo/modules/loading.py", line 347, in load_marked_modules
    loaded, processed = load_module_graph(
  File "/opt/odoo14/odoo/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package)
  File "/opt/odoo14/odoo/odoo/modules/loading.py", line 69, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 733, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate)
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 799, in convert_xml_import
    obj.parse(doc.getroot())
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 719, in parse
    self._tag_root(de)
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/opt/odoo14/odoo/odoo/tools/convert.py", line 681, in _tag_root
    raise ParseError('while parsing %s:%s, near\n%s' % (
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/odoo14/odoo/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/opt/odoo14/odoo/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /opt/odoo14/solse_addons/solse_estados_cuenta/wizard/wizard_estados_cuenta.xml:3, near
<record id="wizard_estados_cuenta" model="ir.ui.view">
			<field name="name">Obtener Estados de Cuenta</field>
			<field name="model">solse.estados.cuenta</field>
			<field name="arch" type="xml">
				<form string="Obtener Estados de Cuenta">
					<p class="oe_grey">
						Estados de Cuenta
					</p>
					<sheet>
						<group>
							<group>
								<field name="tipo_reporte" invisible="1"/>
								<field name="contacto_ids" widget="many2many_tags" required="1"/>
							</group>

							<group>
								<field name="fecha_ini"/>
								<field name="fecha_fin" required="True"/>
							</group>
						</group>
					</sheet>
					<footer>
						<button string="Imprimir" name="action_pdf" type="object" default_focus="1" class="btn-primary"/>
						<button string="Excel" name="generate_excel_report" type="object" default_focus="1" class="btn-primary"/>
						
						<button string="Cancelar" class="btn-default" special="cancel"/>
					</footer>
				</form>
			</field>
		</record>